# File

File object is a JSON attached to a message that contains information about an attachment.

<pre class="language-javascript"><code class="lang-javascript"><strong>{
</strong>    type: "image",
    url: "https://urltofile.com/image.jpeg",
    size: "2 MB",
    name: "Assignment Notes"
<strong>}
</strong></code></pre>

<table><thead><tr><th width="159">Field</th><th width="155.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td><code>string</code></td><td><p>The type of the file. </p><p><code>image</code> | <code>video</code> | <code>file</code> | <code>gif</code></p></td></tr><tr><td>url</td><td><code>string</code></td><td>The url to the file</td></tr><tr><td><code>size</code></td><td><code>string</code></td><td>The size of the file.</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>The name of the file</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.minchat.io/reference/file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
